import React, { useContext, useEffect } from "react";

import { LayoutContext } from "../../layout/Layout";
import { NavigationComponentProps } from "../../navigation/Navigator";
import { styles } from "./FAQs.styles";
import { useDocumentTitle } from "../../components/useDocumentTitle";
import { useFetchFAQs } from "openfing-core/lib/hooks";

export const FAQs: React.FunctionComponent<NavigationComponentProps> = () => {
	useDocumentTitle("Inicio - OpenFING");
	useFetchFAQs({ autoFetch: true });

	const setLayoutOptions = useContext(LayoutContext);
	useEffect(() => {
		setLayoutOptions({ header: { title: "FAQs" } });
	}, []);

	return (
		<styles.Wrapper>
			<styles.FAQList />

			<styles.CreativeCommons />
		</styles.Wrapper>
	);
};
